"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const utils = require("../../../../../utils/utils.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _hoisted_1 = { class: "go-border-05" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["stroke", "points"];
const _hoisted_4 = ["stroke", "points", "stroke-dasharray"];
const _hoisted_5 = ["values", "dur", "begin"];
const _hoisted_6 = ["values", "begin"];
const _hoisted_7 = ["stroke", "points", "stroke-dasharray"];
const _hoisted_8 = ["values", "dur", "begin"];
const _hoisted_9 = ["values", "begin"];
const _hoisted_10 = ["stroke", "points", "stroke-dasharray"];
const _hoisted_11 = ["values", "dur", "begin"];
const _hoisted_12 = ["values", "begin"];
const _hoisted_13 = ["cy", "fill"];
const _hoisted_14 = ["values", "begin"];
const _hoisted_15 = ["cx", "cy", "fill"];
const _hoisted_16 = ["values", "begin"];
const _hoisted_17 = ["values", "begin"];
const _hoisted_18 = ["cx", "cy", "fill"];
const _hoisted_19 = ["values", "begin"];
const _hoisted_20 = ["values", "begin"];
const _hoisted_21 = ["cx", "cy", "fill"];
const _hoisted_22 = ["values", "begin"];
const _hoisted_23 = ["values", "begin"];
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const id = utils.getUUID();
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { colors, dur } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    const animationId1 = `d10ani1${id}`;
    const animationId2 = `d10ani2${id}`;
    const animationId3 = `d10ani3${id}`;
    const animationId4 = `d10ani4${id}`;
    const animationId5 = `d10ani5${id}`;
    const animationId6 = `d10ani6${id}`;
    const animationId7 = `d10ani7${id}`;
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          width: reactivity_esmBundler.unref(w),
          height: reactivity_esmBundler.unref(h)
        }, [
          runtimeCore_esmBundler.createElementVNode("polyline", {
            stroke: reactivity_esmBundler.unref(colors)[1],
            "stroke-width": "2",
            points: `0, ${reactivity_esmBundler.unref(h) / 2} ${reactivity_esmBundler.unref(w)}, ${reactivity_esmBundler.unref(h) / 2}`
          }, null, 8, _hoisted_3),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            stroke: reactivity_esmBundler.unref(colors)[0],
            "stroke-width": "2",
            points: `5, ${reactivity_esmBundler.unref(h) / 2} ${reactivity_esmBundler.unref(w) * 0.2 - 3}, ${reactivity_esmBundler.unref(h) / 2}`,
            "stroke-dasharray": `0, ${reactivity_esmBundler.unref(w) * 0.2}`,
            fill: "freeze"
          }, [
            runtimeCore_esmBundler.createElementVNode("animate", {
              id: animationId2,
              attributeName: "stroke-dasharray",
              values: `0, ${reactivity_esmBundler.unref(w) * 0.2};${reactivity_esmBundler.unref(w) * 0.2}, 0;`,
              dur: reactivity_esmBundler.unref(dur),
              begin: `${animationId1}.end`,
              fill: "freeze"
            }, null, 8, _hoisted_5),
            runtimeCore_esmBundler.createElementVNode("animate", {
              attributeName: "stroke-dasharray",
              values: `${reactivity_esmBundler.unref(w) * 0.2}, 0;0, ${reactivity_esmBundler.unref(w) * 0.2}`,
              dur: "0.01s",
              begin: `${animationId7}.end`,
              fill: "freeze"
            }, null, 8, _hoisted_6)
          ], 8, _hoisted_4),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            stroke: reactivity_esmBundler.unref(colors)[0],
            "stroke-width": "2",
            points: `${reactivity_esmBundler.unref(w) * 0.2 + 3}, ${reactivity_esmBundler.unref(h) / 2} ${reactivity_esmBundler.unref(w) * 0.8 - 3}, ${reactivity_esmBundler.unref(h) / 2}`,
            "stroke-dasharray": `0, ${reactivity_esmBundler.unref(w) * 0.6}`
          }, [
            runtimeCore_esmBundler.createElementVNode("animate", {
              id: animationId4,
              attributeName: "stroke-dasharray",
              values: `0, ${reactivity_esmBundler.unref(w) * 0.6};${reactivity_esmBundler.unref(w) * 0.6}, 0`,
              dur: reactivity_esmBundler.unref(dur),
              begin: `${animationId3}.end + 1s`,
              fill: "freeze"
            }, null, 8, _hoisted_8),
            runtimeCore_esmBundler.createElementVNode("animate", {
              attributeName: "stroke-dasharray",
              values: `${reactivity_esmBundler.unref(w) * 0.6}, 0;0, ${reactivity_esmBundler.unref(w) * 0.6}`,
              dur: "0.01s",
              begin: `${animationId7}.end`,
              fill: "freeze"
            }, null, 8, _hoisted_9)
          ], 8, _hoisted_7),
          runtimeCore_esmBundler.createElementVNode("polyline", {
            stroke: reactivity_esmBundler.unref(colors)[0],
            "stroke-width": "2",
            points: `${reactivity_esmBundler.unref(w) * 0.8 + 3}, ${reactivity_esmBundler.unref(h) / 2} ${reactivity_esmBundler.unref(w) - 5}, ${reactivity_esmBundler.unref(h) / 2}`,
            "stroke-dasharray": `0, ${reactivity_esmBundler.unref(w) * 0.2}`
          }, [
            runtimeCore_esmBundler.createElementVNode("animate", {
              id: animationId6,
              attributeName: "stroke-dasharray",
              values: `0, ${reactivity_esmBundler.unref(w) * 0.2};${reactivity_esmBundler.unref(w) * 0.2}, 0`,
              dur: reactivity_esmBundler.unref(dur),
              begin: `${animationId5}.end + 1s`,
              fill: "freeze"
            }, null, 8, _hoisted_11),
            runtimeCore_esmBundler.createElementVNode("animate", {
              attributeName: "stroke-dasharray",
              values: `${reactivity_esmBundler.unref(w) * 0.2}, 0;0, ${reactivity_esmBundler.unref(w) * 0.3}`,
              dur: "0.01s",
              begin: `${animationId7}.end`,
              fill: "freeze"
            }, null, 8, _hoisted_12)
          ], 8, _hoisted_10),
          runtimeCore_esmBundler.createElementVNode("circle", {
            cx: "2",
            cy: reactivity_esmBundler.unref(h) / 2,
            r: "2",
            fill: reactivity_esmBundler.unref(colors)[1]
          }, [
            runtimeCore_esmBundler.createElementVNode("animate", {
              id: animationId1,
              attributeName: "fill",
              values: `${reactivity_esmBundler.unref(colors)[1]};${reactivity_esmBundler.unref(colors)[0]}`,
              begin: `0s;${animationId7}.end`,
              dur: "0.3s",
              fill: "freeze"
            }, null, 8, _hoisted_14)
          ], 8, _hoisted_13),
          runtimeCore_esmBundler.createElementVNode("circle", {
            cx: reactivity_esmBundler.unref(w) * 0.2,
            cy: reactivity_esmBundler.unref(h) / 2,
            r: "2",
            fill: reactivity_esmBundler.unref(colors)[1]
          }, [
            runtimeCore_esmBundler.createElementVNode("animate", {
              id: animationId3,
              attributeName: "fill",
              values: `${reactivity_esmBundler.unref(colors)[1]};${reactivity_esmBundler.unref(colors)[0]}`,
              begin: `${animationId2}.end`,
              dur: "0.3s",
              fill: "freeze"
            }, null, 8, _hoisted_16),
            runtimeCore_esmBundler.createElementVNode("animate", {
              attributeName: "fill",
              values: `${reactivity_esmBundler.unref(colors)[1]};${reactivity_esmBundler.unref(colors)[1]}`,
              dur: "0.01s",
              begin: `${animationId7}.end`,
              fill: "freeze"
            }, null, 8, _hoisted_17)
          ], 8, _hoisted_15),
          runtimeCore_esmBundler.createElementVNode("circle", {
            cx: reactivity_esmBundler.unref(w) * 0.8,
            cy: reactivity_esmBundler.unref(h) / 2,
            r: "2",
            fill: reactivity_esmBundler.unref(colors)[1]
          }, [
            runtimeCore_esmBundler.createElementVNode("animate", {
              id: animationId5,
              attributeName: "fill",
              values: `${reactivity_esmBundler.unref(colors)[1]};${reactivity_esmBundler.unref(colors)[0]}`,
              begin: `${animationId4}.end`,
              dur: "0.3s",
              fill: "freeze"
            }, null, 8, _hoisted_19),
            runtimeCore_esmBundler.createElementVNode("animate", {
              attributeName: "fill",
              values: `${reactivity_esmBundler.unref(colors)[1]};${reactivity_esmBundler.unref(colors)[1]}`,
              dur: "0.01s",
              begin: `${animationId7}.end`,
              fill: "freeze"
            }, null, 8, _hoisted_20)
          ], 8, _hoisted_18),
          runtimeCore_esmBundler.createElementVNode("circle", {
            cx: reactivity_esmBundler.unref(w) - 2,
            cy: reactivity_esmBundler.unref(h) / 2,
            r: "2",
            fill: reactivity_esmBundler.unref(colors)[1]
          }, [
            runtimeCore_esmBundler.createElementVNode("animate", {
              id: animationId7,
              attributeName: "fill",
              values: `${reactivity_esmBundler.unref(colors)[1]};${reactivity_esmBundler.unref(colors)[0]}`,
              begin: `${animationId6}.end`,
              dur: "0.3s",
              fill: "freeze"
            }, null, 8, _hoisted_22),
            runtimeCore_esmBundler.createElementVNode("animate", {
              attributeName: "fill",
              values: `${reactivity_esmBundler.unref(colors)[1]};${reactivity_esmBundler.unref(colors)[1]}`,
              dur: "0.01s",
              begin: `${animationId7}.end`,
              fill: "freeze"
            }, null, 8, _hoisted_23)
          ], 8, _hoisted_21)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
exports.default = _sfc_main;
